Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Class JDKRegistryEntry.MyImgObs

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.JDKRegistryEntry.MyImgObs

All Implemented Interfaces:
  ImageObserver

Enclosing class:
  JDKRegistryEntry

    public static class JDKRegistryEntry.MyImgObs

extends Object
implements ImageObserver

Field Summary

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JDKRegistryEntry.MyImgObs()`

Method Summary
`void` | `clear()`
`boolean` | `imageUpdate(Image img, int infoflags, int x, int y, int width, int height)`
`void` | `waitTilHeightDone()`
`void` | `waitTilImageDone()`
`void` | `waitTilWidthDone()`
`void` | `waitTilWidthHeightDone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKRegistryEntry.MyImgObs

    public JDKRegistryEntry.MyImgObs()

Method Detail

### clear

    public void clear()

### imageUpdate

    public boolean imageUpdate(Image img,
                               int infoflags,
                               int x,
                               int y,
                               int width,
                               int height)

  Specified by:
    `imageUpdate` in interface `ImageObserver`

### waitTilWidthHeightDone

    public void waitTilWidthHeightDone()

### waitTilWidthDone

    public void waitTilWidthDone()

### waitTilHeightDone

    public void waitTilHeightDone()

### waitTilImageDone

    public void waitTilImageDone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.